Do we need to upgrade to Windows Server 2022 for RDS (Citrix)

Updated 18-11-2021:

Citrix released CVAD version 2109 where all the know issues in 2106 are fixed, even Microsoft changed updated their documentation and is supporting Windows Server 2022 for FSLogix. Take a look here for more information regarding FSLogix.

Microsoft released Windows server 2022 (Version 21H2) at the beginning of September 2021. This version of Windows is a so-called Long-Term Servicing Channel (LTSC). An LTSC version gets five years of support and another five years of extended support, where a Semi-Annual Channel only receives two to three years of support. Besides the more extended support, an LTSC version only receives security and regular updates. In other words, during these ten years, there’s no extra functionality added.

What’s in Windows Server 2022 for Remote Desktop Services (RDS)?

Windows Server 2022 adds multiple improvements for “Advanced multi-layered security”, “Hybrid capabilities with Azure” and, “Flexible application platform”. Sadly for RDS, there are no improvements announced, mainly because Microsoft is investing in their Windows 10 and the upcoming Windows 11 multi-user in Azure. As for the previous versions of RDS, we rely on Third Parties that bring added value to keep up with the user’s wishes and demands with the changing market. Third Parties like Citrix and VMware are helping the IT admins to achieve this.

Citrix

Citrix has a Day 1 support for Windows Server 2022 with Citrix Virtual Apps and Desktops (VAD) in version 2106 Current Release (CR). This version has a couple of known issues, which probably they are fixing in the next release. Look here for the know issues! With Citrix Hypervisor (Current version 8.2), no official support is announced for Windows Server 2022. They are probably announcing this in the upcoming cumulative update (CU).

Microsoft

Microsoft isn’t supporting its own Microsoft 365 apps (previously called Office 365) on Windows Server 2022. They only support Microsoft 365 Apps on Windows Server 2016- and 2019-editions. Microsoft is supporting this until October 2025 for these server OS’es. When using Microsoft 365 Apps, it’s not advisable to upgrade to Windows Server 2022 for your RDS or Citrix environment. If you are using Office 2019, they are supporting this on Windows Server 2022.

FSLogix

Besides Citrix VAD and Microsoft 365 Apps, FSlogix is a commonly used user profile solution in RDS and Citrix environments in the EUC market. The latest version of FSlogix 2105 doesn’t officially support Windows Server 2022. When depending on FSlogix, you need to be aware that this component also isn’t supported yet. Previously I stated that FSlogix 2105 isn’t supported on Windows Server 2022, I did read this somewhere but can’t find the document any longer. Looking at the FSlogix Overview site, they now support FSlogix on all Microsoft Supported Operating Systems.

NVIDIA

A GPU is one of the essential components in a Citrix Environment. More and more applications are using graphics and rely on a GPU. NVIDIA is supporting Windows Server 2022 as of version 13.0 of their vGPU software. Version 13.X is just like Windows Server 2022, a Long-Term Support Branch (LTSB). Only the NVIDIA support isn’t that long as from Microsoft. NVIDIA is supporting version 13.X until August 2024. Currently, version 13.0 only supports Windows Server bare-metal installations ore when using virtualized on VMWare ESXi. As Citrix Hypervisor currently isn’t supporting Windows Server 2022, NVIDIA can’t support this.

Conclusion

Looking at RDS, Windows Server 2022 doesn’t have any improvements. Knowing this and the lag of support from Microsoft 365 Apps, there isn’t any reason to currently migrate to this version of the OS. When you need to upgrade your older environment, the current advice is to upgrade to Windows Server 2019. This version of the OS supports all most-used components. When there are any changes in support from most-used components, I’ll update the article.

1. Support until October 2025.
2. Support using version 2106 with some known issues.
3. Using Bare-Metal or VMWare ESX 6.7U3 and up.

Comments

Leave a Reply

Your email address will not be published. Required fields are marked *